/**
 * Konfiguracja
 */
 
new const gszTypeFile[] = "ebc-type.cfg";

saveConfig(method){
	new fp = fopen(gszTypeFile, "wb");
	fwrite(fp, method, BLOCK_INT);
	fclose(fp);
}

loadConfig(){
 	state file;
	
	new Method = TYPE_FILE;
	new fp = fopen(gszTypeFile, "rb");
	if(fp){
		fread(fp, Method, BLOCK_INT);
		fclose(fp);
	}
	
	switch(Method){
		case TYPE_MYSQL:{
			if(!mysqlAvailable()){
				log_amx("Cant setup MySQL mode: %s", gszError);
				return;
			}
			state mysql;
		}
		
		case TYPE_GM15: {
			if(!gm15Available()){
				log_amx("Cant setup GM15 mode: %s", gszError);
				return;
			}
			
			state gm15;
		}
		
		case TYPE_GM16:{ 
			if(!gm16Available()){
				log_amx("Cant setup GM16 mode: %s", gszError);
				return;
			}
			state gm16;
		}
	}
}

public cmdEBCConfig(id, level, cid){
	if(!cmd_access(id, level, cid, 1))
		return PLUGIN_HANDLED;
		
	new szTemp[32];
	if(read_argc() == 1){
		console_print(id, "Aktualnie uzywany zapis:");
		displayName(id);
		
		console_print(id, "^nOpcje zapisu:");
		console_print(id, "^t^t[ok]^t^t 1. Plik");
		
		if(mysqlAvailable())
			console_print(id, "^t^t[ok]^t^t 2. MySQL");
		else
			console_print(id, "^t^t[--]^t^t 2. MySQL (%s)", gszError);
		
		if(gm15Available())
			console_print(id, "^t^t[ok]^t^t 3. AMXBans GM 1.5");
		else
			console_print(id, "^t^t[--]^t^t 3. AMXBans GM 1.5 (%s)", gszError);
			
		if(gm16Available())
			console_print(id, "^t^t[ok]^t^t 4. AMXBans GM 1.6");
		else
			console_print(id, "^t^t[--]^t^t 4. AMXBans GM 1.6 (%s)", gszError);
		
		
		read_argv(0, szTemp, 31)
		console_print(id, "^nUzyj: %s <numer>^ndo zmiany typu", szTemp);
		return PLUGIN_HANDLED;
	}
	
	read_argv(1, szTemp, 31);
	
	switch(str_to_num(szTemp)){
		case 1:{
			saveConfig(TYPE_FILE);
			console_print(id, "Od nastepnej mapy bany beda przechowywane w pliku");
		}
		case 2:{
			if(mysqlAvailable()){
				saveConfig(TYPE_MYSQL);
				console_print(id, "Od nastepnej mapy bany beda przechowywane w bazie danych");
			}else
				console_print(id, "Blad: %s", gszError);
		}
		case 3:{
			if(gm15Available()){
				saveConfig(TYPE_GM15);
				console_print(id, "Od nastepnej mapy bany beda przechowywane razem z banami AMXBANS GM 1.5");
			}else
				console_print(id, "Blad: %s", gszError);
		}
		case 4:{
			if(gm16Available()){
				saveConfig(TYPE_GM16);
				console_print(id, "Od nastepnej mapy bany beda przechowywane razem z banami AMXBANS GM 1.6");
			}else
				console_print(id, "Blad: %s", gszError);
		}
		default:{
			console_print(id, "Blad: Nie ma takiej opcji");
		}
	}
	return PLUGIN_HANDLED;
}

parseConfig(){
	static szPath[128];
	new szValue[32];
	
	get_configsdir(szPath, 127);
	add(szPath, 127, "/udp-conf.ini");
	
	new fp = fopen(szPath, "rt");
	if(!fp)
		return 0;

	while(fgets(fp, szPath, 127)){
		trim(szPath);
		if(szPath[0] == ';') continue;
		
		szValue[0] = '^0';
		if(!strtok(szPath, szPath, 31, szValue, 31, '=', 0) || szValue[0] == '^0')
			continue;
			
		trim(szValue[1]);
		trim(szPath);
		
		if(equali(szPath, "host")){
			copy(gszHost, 31, szValue[1]);
		}
		else if(equali(szPath, "port")){
			giPort = str_to_num(szValue[1]);
		}
		else if(equali(szPath, "file")){
			copy(gszFile, 31, szValue[1]);
		}
		else if(equali(szPath, "header_8bytes")){
			copy(gszHeader, 8, szValue[1]);
		}
	}
	
	fclose(fp);
	return 1;
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
